diff options
Diffstat (limited to 'meta/recipes-sato/claws-mail/files/owl-window-menu.patch')
-rw-r--r-- | meta/recipes-sato/claws-mail/files/owl-window-menu.patch | 1009 |
1 files changed, 1009 insertions, 0 deletions
diff --git a/meta/recipes-sato/claws-mail/files/owl-window-menu.patch b/meta/recipes-sato/claws-mail/files/owl-window-menu.patch new file mode 100644 index 0000000000..54c61668a9 --- /dev/null +++ b/meta/recipes-sato/claws-mail/files/owl-window-menu.patch | |||
@@ -0,0 +1,1009 @@ | |||
1 | Index: claws-mail-2.9.1/src/addressbook.c | ||
2 | =================================================================== | ||
3 | --- claws-mail-2.9.1.orig/src/addressbook.c 2007-04-25 10:18:13.000000000 +0100 | ||
4 | +++ claws-mail-2.9.1/src/addressbook.c 2007-04-25 10:30:23.000000000 +0100 | ||
5 | @@ -941,7 +941,6 @@ | ||
6 | sizeof(addressbook_entries[0]); | ||
7 | menubar = menubar_create(window, addressbook_entries, n_entries, | ||
8 | "<AddressBook>", NULL); | ||
9 | - gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0); | ||
10 | menu_factory = gtk_item_factory_from_widget(menubar); | ||
11 | |||
12 | vbox2 = gtk_vbox_new(FALSE, BORDER_WIDTH); | ||
13 | Index: claws-mail-2.9.1/src/gtk/menu.c | ||
14 | =================================================================== | ||
15 | --- claws-mail-2.9.1.orig/src/gtk/menu.c 2007-04-25 10:18:13.000000000 +0100 | ||
16 | +++ claws-mail-2.9.1/src/gtk/menu.c 2007-04-25 10:30:23.000000000 +0100 | ||
17 | @@ -35,10 +35,7 @@ | ||
18 | #include "menu.h" | ||
19 | #include "utils.h" | ||
20 | |||
21 | -#ifdef MAEMO | ||
22 | -#include <hildon-widgets/hildon-program.h> | ||
23 | -#include <gtk/gtkmain.h> | ||
24 | -#endif | ||
25 | +#include <libowl/owlwindowmenu.h> | ||
26 | |||
27 | static void connect_accel_change_signals(GtkWidget* widget, GtkWidget *wid2) ; | ||
28 | |||
29 | @@ -49,20 +46,14 @@ | ||
30 | GtkItemFactory *factory; | ||
31 | GtkWidget *menubar; | ||
32 | |||
33 | -#ifdef MAEMO | ||
34 | factory = gtk_item_factory_new(GTK_TYPE_MENU, path, NULL); | ||
35 | -#else | ||
36 | - factory = gtk_item_factory_new(GTK_TYPE_MENU_BAR, path, NULL); | ||
37 | -#endif | ||
38 | gtk_item_factory_set_translate_func(factory, menu_translate, | ||
39 | NULL, NULL); | ||
40 | gtk_item_factory_create_items(factory, n_entries, entries, data); | ||
41 | gtk_window_add_accel_group (GTK_WINDOW (window), factory->accel_group); | ||
42 | |||
43 | menubar = gtk_item_factory_get_widget(factory, path); | ||
44 | -#ifdef MAEMO | ||
45 | - hildon_window_set_menu(HILDON_WINDOW(window), GTK_MENU(menubar)); | ||
46 | -#endif | ||
47 | + owl_set_window_menu(GTK_WINDOW(window), GTK_MENU(menubar)); | ||
48 | return menubar; | ||
49 | } | ||
50 | |||
51 | Index: claws-mail-2.9.1/src/mainwindow.c | ||
52 | =================================================================== | ||
53 | --- claws-mail-2.9.1.orig/src/mainwindow.c 2007-04-25 10:26:40.000000000 +0100 | ||
54 | +++ claws-mail-2.9.1/src/mainwindow.c 2007-04-25 10:30:23.000000000 +0100 | ||
55 | @@ -1094,8 +1094,6 @@ | ||
56 | n_menu_entries = sizeof(mainwin_entries) / sizeof(mainwin_entries[0]); | ||
57 | menubar = menubar_create(window, mainwin_entries, | ||
58 | n_menu_entries, "<Main>", mainwin); | ||
59 | - gtk_widget_show(menubar); | ||
60 | - gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0); | ||
61 | ifactory = gtk_item_factory_from_widget(menubar); | ||
62 | |||
63 | /* gtk_widget_show(gtk_item_factory_get_item(ifactory,"/Message/Mailing-List")); | ||
64 | Index: claws-mail-2.9.1/src/messageview.c | ||
65 | =================================================================== | ||
66 | --- claws-mail-2.9.1.orig/src/messageview.c 2007-04-25 10:18:13.000000000 +0100 | ||
67 | +++ claws-mail-2.9.1/src/messageview.c 2007-04-25 10:30:23.000000000 +0100 | ||
68 | @@ -414,8 +414,6 @@ | ||
69 | n_menu_entries = sizeof(msgview_entries) / sizeof(msgview_entries[0]); | ||
70 | menubar = menubar_create(window, msgview_entries, | ||
71 | n_menu_entries, "<MessageView>", msgview); | ||
72 | - gtk_widget_show(menubar); | ||
73 | - gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0); | ||
74 | |||
75 | if (prefs_common.toolbar_detachable) { | ||
76 | handlebox = gtk_handle_box_new(); | ||
77 | @@ -478,6 +476,7 @@ | ||
78 | g_signal_connect(G_OBJECT(window), "key_press_event", | ||
79 | G_CALLBACK(key_pressed), msgview); | ||
80 | #endif | ||
81 | + gtk_widget_realize(window); | ||
82 | messageview_add_toolbar(msgview, window); | ||
83 | |||
84 | if (show) { | ||
85 | Index: claws-mail-2.9.1/configure.ac | ||
86 | =================================================================== | ||
87 | --- claws-mail-2.9.1.orig/configure.ac 2007-04-25 10:18:13.000000000 +0100 | ||
88 | +++ claws-mail-2.9.1/configure.ac 2007-04-25 10:30:23.000000000 +0100 | ||
89 | @@ -406,6 +406,11 @@ | ||
90 | AC_SUBST(GTK_CFLAGS) | ||
91 | AC_SUBST(GTK_LIBS) | ||
92 | |||
93 | +OWL_CFLAGS="" | ||
94 | +OWL_LIBS="-lowl" | ||
95 | +AC_SUBST(OWL_CFLAGS) | ||
96 | +AC_SUBST(OWL_LIBS) | ||
97 | + | ||
98 | dnl GNU/Aspell is used for spell checking | ||
99 | AC_ARG_ENABLE(aspell, | ||
100 | [ --disable-aspell Disable GNU/aspell support [default=yes]], | ||
101 | Index: claws-mail-2.9.1/src/Makefile.am | ||
102 | =================================================================== | ||
103 | --- claws-mail-2.9.1.orig/src/Makefile.am 2007-04-25 10:18:13.000000000 +0100 | ||
104 | +++ claws-mail-2.9.1/src/Makefile.am 2007-04-25 10:30:23.000000000 +0100 | ||
105 | @@ -471,7 +471,8 @@ | ||
106 | $(LIBICONV) \ | ||
107 | $(STARTUP_NOTIFICATION_LIBS) \ | ||
108 | $(LIBETPAN_LIBS) \ | ||
109 | - $(MAEMO_LIBS) | ||
110 | + $(MAEMO_LIBS) \ | ||
111 | + $(OWL_LIBS) | ||
112 | |||
113 | AM_CPPFLAGS = \ | ||
114 | -DG_LOG_DOMAIN=\"Claws-Mail\" \ | ||
115 | @@ -489,6 +490,7 @@ | ||
116 | $(LIBETPAN_CPPFLAGS) \ | ||
117 | $(STARTUP_NOTIFICATION_CFLAGS) \ | ||
118 | $(MAEMO_CFLAGS) \ | ||
119 | + $(OWL_CFLAGS) \ | ||
120 | -Wno-unused-function | ||
121 | |||
122 | #no-unused-function is there because of bison stuff | ||
123 | Index: claws-mail-2.9.1/configure | ||
124 | =================================================================== | ||
125 | --- claws-mail-2.9.1.orig/configure 2007-04-25 10:18:13.000000000 +0100 | ||
126 | +++ claws-mail-2.9.1/configure 2007-04-25 10:30:23.000000000 +0100 | ||
127 | @@ -769,7 +769,6 @@ | ||
128 | # include <unistd.h> | ||
129 | #endif" | ||
130 | |||
131 | -gt_needs= | ||
132 | ac_subst_vars='SHELL | ||
133 | PATH_SEPARATOR | ||
134 | PACKAGE_NAME | ||
135 | @@ -942,6 +941,8 @@ | ||
136 | PASSCRYPT_KEY | ||
137 | GTK_CFLAGS | ||
138 | GTK_LIBS | ||
139 | +OWL_LIBS | ||
140 | +OWL_CFLAGS | ||
141 | ASPELL | ||
142 | ASPELL_CFLAGS | ||
143 | ASPELL_LIBS | ||
144 | @@ -2063,7 +2064,6 @@ | ||
145 | >$cache_file | ||
146 | fi | ||
147 | |||
148 | -gt_needs="$gt_needs " | ||
149 | # Check that the precious variables saved in the cache have kept the same | ||
150 | # value. | ||
151 | ac_cache_corrupted=false | ||
152 | @@ -3001,9 +3001,7 @@ | ||
153 | # Put the nasty error message in config.log where it belongs | ||
154 | echo "$GNOME2_PKG_ERRORS" >&5 | ||
155 | |||
156 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
157 | -echo "${ECHO_T}no" >&6; } | ||
158 | - ac_enable_gnome2=no | ||
159 | + ac_enable_gnome2=no | ||
160 | elif test $pkg_failed = untried; then | ||
161 | ac_enable_gnome2=no | ||
162 | else | ||
163 | @@ -4147,14 +4145,12 @@ | ||
164 | |||
165 | |||
166 | |||
167 | - | ||
168 | - { echo "$as_me:$LINENO: checking for strerror in -lcposix" >&5 | ||
169 | -echo $ECHO_N "checking for strerror in -lcposix... $ECHO_C" >&6; } | ||
170 | -if test "${ac_cv_lib_cposix_strerror+set}" = set; then | ||
171 | +{ echo "$as_me:$LINENO: checking for library containing strerror" >&5 | ||
172 | +echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; } | ||
173 | +if test "${ac_cv_search_strerror+set}" = set; then | ||
174 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
175 | else | ||
176 | - ac_check_lib_save_LIBS=$LIBS | ||
177 | -LIBS="-lcposix $LIBS" | ||
178 | + ac_func_search_save_LIBS=$LIBS | ||
179 | cat >conftest.$ac_ext <<_ACEOF | ||
180 | /* confdefs.h. */ | ||
181 | _ACEOF | ||
182 | @@ -4177,7 +4173,14 @@ | ||
183 | return 0; | ||
184 | } | ||
185 | _ACEOF | ||
186 | -rm -f conftest.$ac_objext conftest$ac_exeext | ||
187 | +for ac_lib in '' cposix; do | ||
188 | + if test -z "$ac_lib"; then | ||
189 | + ac_res="none required" | ||
190 | + else | ||
191 | + ac_res=-l$ac_lib | ||
192 | + LIBS="-l$ac_lib $ac_func_search_save_LIBS" | ||
193 | + fi | ||
194 | + rm -f conftest.$ac_objext conftest$ac_exeext | ||
195 | if { (ac_try="$ac_link" | ||
196 | case "(($ac_try" in | ||
197 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
198 | @@ -4195,25 +4198,35 @@ | ||
199 | test ! -s conftest.err | ||
200 | } && test -s conftest$ac_exeext && | ||
201 | $as_test_x conftest$ac_exeext; then | ||
202 | - ac_cv_lib_cposix_strerror=yes | ||
203 | + ac_cv_search_strerror=$ac_res | ||
204 | else | ||
205 | echo "$as_me: failed program was:" >&5 | ||
206 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
207 | |||
208 | - ac_cv_lib_cposix_strerror=no | ||
209 | + | ||
210 | fi | ||
211 | |||
212 | rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | ||
213 | - conftest$ac_exeext conftest.$ac_ext | ||
214 | -LIBS=$ac_check_lib_save_LIBS | ||
215 | + conftest$ac_exeext | ||
216 | + if test "${ac_cv_search_strerror+set}" = set; then | ||
217 | + break | ||
218 | +fi | ||
219 | +done | ||
220 | +if test "${ac_cv_search_strerror+set}" = set; then | ||
221 | + : | ||
222 | +else | ||
223 | + ac_cv_search_strerror=no | ||
224 | fi | ||
225 | -{ echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5 | ||
226 | -echo "${ECHO_T}$ac_cv_lib_cposix_strerror" >&6; } | ||
227 | -if test $ac_cv_lib_cposix_strerror = yes; then | ||
228 | - LIBS="$LIBS -lcposix" | ||
229 | +rm conftest.$ac_ext | ||
230 | +LIBS=$ac_func_search_save_LIBS | ||
231 | fi | ||
232 | +{ echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5 | ||
233 | +echo "${ECHO_T}$ac_cv_search_strerror" >&6; } | ||
234 | +ac_res=$ac_cv_search_strerror | ||
235 | +if test "$ac_res" != no; then | ||
236 | + test "$ac_res" = "none required" || LIBS="$ac_res $LIBS" | ||
237 | |||
238 | - | ||
239 | +fi | ||
240 | |||
241 | # Find a good install program. We prefer a C program (faster), | ||
242 | # so one script is as good as another. But avoid the broken or | ||
243 | @@ -5769,7 +5782,7 @@ | ||
244 | ;; | ||
245 | *-*-irix6*) | ||
246 | # Find out which ABI we are using. | ||
247 | - echo '#line 5772 "configure"' > conftest.$ac_ext | ||
248 | + echo '#line 5785 "configure"' > conftest.$ac_ext | ||
249 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
250 | (eval $ac_compile) 2>&5 | ||
251 | ac_status=$? | ||
252 | @@ -8555,11 +8568,11 @@ | ||
253 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
254 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
255 | -e 's:$: $lt_compiler_flag:'` | ||
256 | - (eval echo "\"\$as_me:8558: $lt_compile\"" >&5) | ||
257 | + (eval echo "\"\$as_me:8571: $lt_compile\"" >&5) | ||
258 | (eval "$lt_compile" 2>conftest.err) | ||
259 | ac_status=$? | ||
260 | cat conftest.err >&5 | ||
261 | - echo "$as_me:8562: \$? = $ac_status" >&5 | ||
262 | + echo "$as_me:8575: \$? = $ac_status" >&5 | ||
263 | if (exit $ac_status) && test -s "$ac_outfile"; then | ||
264 | # The compiler can only warn and ignore the option if not recognized | ||
265 | # So say no if there are warnings other than the usual output. | ||
266 | @@ -8823,11 +8836,11 @@ | ||
267 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
268 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
269 | -e 's:$: $lt_compiler_flag:'` | ||
270 | - (eval echo "\"\$as_me:8826: $lt_compile\"" >&5) | ||
271 | + (eval echo "\"\$as_me:8839: $lt_compile\"" >&5) | ||
272 | (eval "$lt_compile" 2>conftest.err) | ||
273 | ac_status=$? | ||
274 | cat conftest.err >&5 | ||
275 | - echo "$as_me:8830: \$? = $ac_status" >&5 | ||
276 | + echo "$as_me:8843: \$? = $ac_status" >&5 | ||
277 | if (exit $ac_status) && test -s "$ac_outfile"; then | ||
278 | # The compiler can only warn and ignore the option if not recognized | ||
279 | # So say no if there are warnings other than the usual output. | ||
280 | @@ -8927,11 +8940,11 @@ | ||
281 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
282 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
283 | -e 's:$: $lt_compiler_flag:'` | ||
284 | - (eval echo "\"\$as_me:8930: $lt_compile\"" >&5) | ||
285 | + (eval echo "\"\$as_me:8943: $lt_compile\"" >&5) | ||
286 | (eval "$lt_compile" 2>out/conftest.err) | ||
287 | ac_status=$? | ||
288 | cat out/conftest.err >&5 | ||
289 | - echo "$as_me:8934: \$? = $ac_status" >&5 | ||
290 | + echo "$as_me:8947: \$? = $ac_status" >&5 | ||
291 | if (exit $ac_status) && test -s out/conftest2.$ac_objext | ||
292 | then | ||
293 | # The compiler can only warn and ignore the option if not recognized | ||
294 | @@ -11224,7 +11237,7 @@ | ||
295 | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | ||
296 | lt_status=$lt_dlunknown | ||
297 | cat > conftest.$ac_ext <<EOF | ||
298 | -#line 11227 "configure" | ||
299 | +#line 11240 "configure" | ||
300 | #include "confdefs.h" | ||
301 | |||
302 | #if HAVE_DLFCN_H | ||
303 | @@ -11324,7 +11337,7 @@ | ||
304 | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 | ||
305 | lt_status=$lt_dlunknown | ||
306 | cat > conftest.$ac_ext <<EOF | ||
307 | -#line 11327 "configure" | ||
308 | +#line 11340 "configure" | ||
309 | #include "confdefs.h" | ||
310 | |||
311 | #if HAVE_DLFCN_H | ||
312 | @@ -13660,11 +13673,11 @@ | ||
313 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
314 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
315 | -e 's:$: $lt_compiler_flag:'` | ||
316 | - (eval echo "\"\$as_me:13663: $lt_compile\"" >&5) | ||
317 | + (eval echo "\"\$as_me:13676: $lt_compile\"" >&5) | ||
318 | (eval "$lt_compile" 2>conftest.err) | ||
319 | ac_status=$? | ||
320 | cat conftest.err >&5 | ||
321 | - echo "$as_me:13667: \$? = $ac_status" >&5 | ||
322 | + echo "$as_me:13680: \$? = $ac_status" >&5 | ||
323 | if (exit $ac_status) && test -s "$ac_outfile"; then | ||
324 | # The compiler can only warn and ignore the option if not recognized | ||
325 | # So say no if there are warnings other than the usual output. | ||
326 | @@ -13764,11 +13777,11 @@ | ||
327 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
328 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
329 | -e 's:$: $lt_compiler_flag:'` | ||
330 | - (eval echo "\"\$as_me:13767: $lt_compile\"" >&5) | ||
331 | + (eval echo "\"\$as_me:13780: $lt_compile\"" >&5) | ||
332 | (eval "$lt_compile" 2>out/conftest.err) | ||
333 | ac_status=$? | ||
334 | cat out/conftest.err >&5 | ||
335 | - echo "$as_me:13771: \$? = $ac_status" >&5 | ||
336 | + echo "$as_me:13784: \$? = $ac_status" >&5 | ||
337 | if (exit $ac_status) && test -s out/conftest2.$ac_objext | ||
338 | then | ||
339 | # The compiler can only warn and ignore the option if not recognized | ||
340 | @@ -15325,11 +15338,11 @@ | ||
341 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
342 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
343 | -e 's:$: $lt_compiler_flag:'` | ||
344 | - (eval echo "\"\$as_me:15328: $lt_compile\"" >&5) | ||
345 | + (eval echo "\"\$as_me:15341: $lt_compile\"" >&5) | ||
346 | (eval "$lt_compile" 2>conftest.err) | ||
347 | ac_status=$? | ||
348 | cat conftest.err >&5 | ||
349 | - echo "$as_me:15332: \$? = $ac_status" >&5 | ||
350 | + echo "$as_me:15345: \$? = $ac_status" >&5 | ||
351 | if (exit $ac_status) && test -s "$ac_outfile"; then | ||
352 | # The compiler can only warn and ignore the option if not recognized | ||
353 | # So say no if there are warnings other than the usual output. | ||
354 | @@ -15429,11 +15442,11 @@ | ||
355 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
356 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
357 | -e 's:$: $lt_compiler_flag:'` | ||
358 | - (eval echo "\"\$as_me:15432: $lt_compile\"" >&5) | ||
359 | + (eval echo "\"\$as_me:15445: $lt_compile\"" >&5) | ||
360 | (eval "$lt_compile" 2>out/conftest.err) | ||
361 | ac_status=$? | ||
362 | cat out/conftest.err >&5 | ||
363 | - echo "$as_me:15436: \$? = $ac_status" >&5 | ||
364 | + echo "$as_me:15449: \$? = $ac_status" >&5 | ||
365 | if (exit $ac_status) && test -s out/conftest2.$ac_objext | ||
366 | then | ||
367 | # The compiler can only warn and ignore the option if not recognized | ||
368 | @@ -17616,11 +17629,11 @@ | ||
369 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
370 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
371 | -e 's:$: $lt_compiler_flag:'` | ||
372 | - (eval echo "\"\$as_me:17619: $lt_compile\"" >&5) | ||
373 | + (eval echo "\"\$as_me:17632: $lt_compile\"" >&5) | ||
374 | (eval "$lt_compile" 2>conftest.err) | ||
375 | ac_status=$? | ||
376 | cat conftest.err >&5 | ||
377 | - echo "$as_me:17623: \$? = $ac_status" >&5 | ||
378 | + echo "$as_me:17636: \$? = $ac_status" >&5 | ||
379 | if (exit $ac_status) && test -s "$ac_outfile"; then | ||
380 | # The compiler can only warn and ignore the option if not recognized | ||
381 | # So say no if there are warnings other than the usual output. | ||
382 | @@ -17884,11 +17897,11 @@ | ||
383 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
384 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
385 | -e 's:$: $lt_compiler_flag:'` | ||
386 | - (eval echo "\"\$as_me:17887: $lt_compile\"" >&5) | ||
387 | + (eval echo "\"\$as_me:17900: $lt_compile\"" >&5) | ||
388 | (eval "$lt_compile" 2>conftest.err) | ||
389 | ac_status=$? | ||
390 | cat conftest.err >&5 | ||
391 | - echo "$as_me:17891: \$? = $ac_status" >&5 | ||
392 | + echo "$as_me:17904: \$? = $ac_status" >&5 | ||
393 | if (exit $ac_status) && test -s "$ac_outfile"; then | ||
394 | # The compiler can only warn and ignore the option if not recognized | ||
395 | # So say no if there are warnings other than the usual output. | ||
396 | @@ -17988,11 +18001,11 @@ | ||
397 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ | ||
398 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ | ||
399 | -e 's:$: $lt_compiler_flag:'` | ||
400 | - (eval echo "\"\$as_me:17991: $lt_compile\"" >&5) | ||
401 | + (eval echo "\"\$as_me:18004: $lt_compile\"" >&5) | ||
402 | (eval "$lt_compile" 2>out/conftest.err) | ||
403 | ac_status=$? | ||
404 | cat out/conftest.err >&5 | ||
405 | - echo "$as_me:17995: \$? = $ac_status" >&5 | ||
406 | + echo "$as_me:18008: \$? = $ac_status" >&5 | ||
407 | if (exit $ac_status) && test -s out/conftest2.$ac_objext | ||
408 | then | ||
409 | # The compiler can only warn and ignore the option if not recognized | ||
410 | @@ -20960,16 +20973,9 @@ | ||
411 | found_so= | ||
412 | found_a= | ||
413 | if test $use_additional = yes; then | ||
414 | - if test -n "$shlibext" \ | ||
415 | - && { test -f "$additional_libdir/lib$name.$shlibext" \ | ||
416 | - || { test "$shlibext" = dll \ | ||
417 | - && test -f "$additional_libdir/lib$name.dll.a"; }; }; then | ||
418 | + if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then | ||
419 | found_dir="$additional_libdir" | ||
420 | - if test -f "$additional_libdir/lib$name.$shlibext"; then | ||
421 | - found_so="$additional_libdir/lib$name.$shlibext" | ||
422 | - else | ||
423 | - found_so="$additional_libdir/lib$name.dll.a" | ||
424 | - fi | ||
425 | + found_so="$additional_libdir/lib$name.$shlibext" | ||
426 | if test -f "$additional_libdir/lib$name.la"; then | ||
427 | found_la="$additional_libdir/lib$name.la" | ||
428 | fi | ||
429 | @@ -20997,16 +21003,9 @@ | ||
430 | case "$x" in | ||
431 | -L*) | ||
432 | dir=`echo "X$x" | sed -e 's/^X-L//'` | ||
433 | - if test -n "$shlibext" \ | ||
434 | - && { test -f "$dir/lib$name.$shlibext" \ | ||
435 | - || { test "$shlibext" = dll \ | ||
436 | - && test -f "$dir/lib$name.dll.a"; }; }; then | ||
437 | + if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then | ||
438 | found_dir="$dir" | ||
439 | - if test -f "$dir/lib$name.$shlibext"; then | ||
440 | - found_so="$dir/lib$name.$shlibext" | ||
441 | - else | ||
442 | - found_so="$dir/lib$name.dll.a" | ||
443 | - fi | ||
444 | + found_so="$dir/lib$name.$shlibext" | ||
445 | if test -f "$dir/lib$name.la"; then | ||
446 | found_la="$dir/lib$name.la" | ||
447 | fi | ||
448 | @@ -21927,13 +21926,6 @@ | ||
449 | |||
450 | |||
451 | |||
452 | - | ||
453 | - | ||
454 | - | ||
455 | - | ||
456 | - | ||
457 | - | ||
458 | - | ||
459 | { echo "$as_me:$LINENO: checking for CFPreferencesCopyAppValue" >&5 | ||
460 | echo $ECHO_N "checking for CFPreferencesCopyAppValue... $ECHO_C" >&6; } | ||
461 | if test "${gt_cv_func_CFPreferencesCopyAppValue+set}" = set; then | ||
462 | @@ -22070,37 +22062,17 @@ | ||
463 | LTLIBINTL= | ||
464 | POSUB= | ||
465 | |||
466 | - case " $gt_needs " in | ||
467 | - *" need-formatstring-macros "*) gt_api_version=3 ;; | ||
468 | - *" need-ngettext "*) gt_api_version=2 ;; | ||
469 | - *) gt_api_version=1 ;; | ||
470 | - esac | ||
471 | - gt_func_gnugettext_libc="gt_cv_func_gnugettext${gt_api_version}_libc" | ||
472 | - gt_func_gnugettext_libintl="gt_cv_func_gnugettext${gt_api_version}_libintl" | ||
473 | - | ||
474 | if test "$USE_NLS" = "yes"; then | ||
475 | gt_use_preinstalled_gnugettext=no | ||
476 | |||
477 | |||
478 | - if test $gt_api_version -ge 3; then | ||
479 | - gt_revision_test_code=' | ||
480 | -#ifndef __GNU_GETTEXT_SUPPORTED_REVISION | ||
481 | -#define __GNU_GETTEXT_SUPPORTED_REVISION(major) ((major) == 0 ? 0 : -1) | ||
482 | -#endif | ||
483 | -typedef int array [2 * (__GNU_GETTEXT_SUPPORTED_REVISION(0) >= 1) - 1]; | ||
484 | -' | ||
485 | - else | ||
486 | - gt_revision_test_code= | ||
487 | - fi | ||
488 | - if test $gt_api_version -ge 2; then | ||
489 | - gt_expression_test_code=' + * ngettext ("", "", 0)' | ||
490 | - else | ||
491 | - gt_expression_test_code= | ||
492 | - fi | ||
493 | + | ||
494 | + | ||
495 | + | ||
496 | |||
497 | { echo "$as_me:$LINENO: checking for GNU gettext in libc" >&5 | ||
498 | echo $ECHO_N "checking for GNU gettext in libc... $ECHO_C" >&6; } | ||
499 | -if { as_var=$gt_func_gnugettext_libc; eval "test \"\${$as_var+set}\" = set"; }; then | ||
500 | +if test "${gt_cv_func_gnugettext1_libc+set}" = set; then | ||
501 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
502 | else | ||
503 | cat >conftest.$ac_ext <<_ACEOF | ||
504 | @@ -22110,14 +22082,13 @@ | ||
505 | cat >>conftest.$ac_ext <<_ACEOF | ||
506 | /* end confdefs.h. */ | ||
507 | #include <libintl.h> | ||
508 | -$gt_revision_test_code | ||
509 | extern int _nl_msg_cat_cntr; | ||
510 | extern int *_nl_domain_bindings; | ||
511 | int | ||
512 | main () | ||
513 | { | ||
514 | bindtextdomain ("", ""); | ||
515 | -return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_domain_bindings | ||
516 | +return * gettext ("") + _nl_msg_cat_cntr + *_nl_domain_bindings | ||
517 | ; | ||
518 | return 0; | ||
519 | } | ||
520 | @@ -22140,22 +22111,21 @@ | ||
521 | test ! -s conftest.err | ||
522 | } && test -s conftest$ac_exeext && | ||
523 | $as_test_x conftest$ac_exeext; then | ||
524 | - eval "$gt_func_gnugettext_libc=yes" | ||
525 | + gt_cv_func_gnugettext1_libc=yes | ||
526 | else | ||
527 | echo "$as_me: failed program was:" >&5 | ||
528 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
529 | |||
530 | - eval "$gt_func_gnugettext_libc=no" | ||
531 | + gt_cv_func_gnugettext1_libc=no | ||
532 | fi | ||
533 | |||
534 | rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | ||
535 | conftest$ac_exeext conftest.$ac_ext | ||
536 | fi | ||
537 | -ac_res=`eval echo '${'$gt_func_gnugettext_libc'}'` | ||
538 | - { echo "$as_me:$LINENO: result: $ac_res" >&5 | ||
539 | -echo "${ECHO_T}$ac_res" >&6; } | ||
540 | +{ echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext1_libc" >&5 | ||
541 | +echo "${ECHO_T}$gt_cv_func_gnugettext1_libc" >&6; } | ||
542 | |||
543 | - if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" != "yes"; }; then | ||
544 | + if test "$gt_cv_func_gnugettext1_libc" != "yes"; then | ||
545 | |||
546 | |||
547 | |||
548 | @@ -22398,16 +22368,9 @@ | ||
549 | found_so= | ||
550 | found_a= | ||
551 | if test $use_additional = yes; then | ||
552 | - if test -n "$shlibext" \ | ||
553 | - && { test -f "$additional_libdir/lib$name.$shlibext" \ | ||
554 | - || { test "$shlibext" = dll \ | ||
555 | - && test -f "$additional_libdir/lib$name.dll.a"; }; }; then | ||
556 | + if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then | ||
557 | found_dir="$additional_libdir" | ||
558 | - if test -f "$additional_libdir/lib$name.$shlibext"; then | ||
559 | - found_so="$additional_libdir/lib$name.$shlibext" | ||
560 | - else | ||
561 | - found_so="$additional_libdir/lib$name.dll.a" | ||
562 | - fi | ||
563 | + found_so="$additional_libdir/lib$name.$shlibext" | ||
564 | if test -f "$additional_libdir/lib$name.la"; then | ||
565 | found_la="$additional_libdir/lib$name.la" | ||
566 | fi | ||
567 | @@ -22435,16 +22398,9 @@ | ||
568 | case "$x" in | ||
569 | -L*) | ||
570 | dir=`echo "X$x" | sed -e 's/^X-L//'` | ||
571 | - if test -n "$shlibext" \ | ||
572 | - && { test -f "$dir/lib$name.$shlibext" \ | ||
573 | - || { test "$shlibext" = dll \ | ||
574 | - && test -f "$dir/lib$name.dll.a"; }; }; then | ||
575 | + if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then | ||
576 | found_dir="$dir" | ||
577 | - if test -f "$dir/lib$name.$shlibext"; then | ||
578 | - found_so="$dir/lib$name.$shlibext" | ||
579 | - else | ||
580 | - found_so="$dir/lib$name.dll.a" | ||
581 | - fi | ||
582 | + found_so="$dir/lib$name.$shlibext" | ||
583 | if test -f "$dir/lib$name.la"; then | ||
584 | found_la="$dir/lib$name.la" | ||
585 | fi | ||
586 | @@ -22712,7 +22668,7 @@ | ||
587 | |||
588 | { echo "$as_me:$LINENO: checking for GNU gettext in libintl" >&5 | ||
589 | echo $ECHO_N "checking for GNU gettext in libintl... $ECHO_C" >&6; } | ||
590 | -if { as_var=$gt_func_gnugettext_libintl; eval "test \"\${$as_var+set}\" = set"; }; then | ||
591 | +if test "${gt_cv_func_gnugettext1_libintl+set}" = set; then | ||
592 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
593 | else | ||
594 | gt_save_CPPFLAGS="$CPPFLAGS" | ||
595 | @@ -22726,7 +22682,6 @@ | ||
596 | cat >>conftest.$ac_ext <<_ACEOF | ||
597 | /* end confdefs.h. */ | ||
598 | #include <libintl.h> | ||
599 | -$gt_revision_test_code | ||
600 | extern int _nl_msg_cat_cntr; | ||
601 | extern | ||
602 | #ifdef __cplusplus | ||
603 | @@ -22737,7 +22692,7 @@ | ||
604 | main () | ||
605 | { | ||
606 | bindtextdomain ("", ""); | ||
607 | -return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("") | ||
608 | +return * gettext ("") + _nl_msg_cat_cntr + *_nl_expand_alias ("") | ||
609 | ; | ||
610 | return 0; | ||
611 | } | ||
612 | @@ -22760,17 +22715,17 @@ | ||
613 | test ! -s conftest.err | ||
614 | } && test -s conftest$ac_exeext && | ||
615 | $as_test_x conftest$ac_exeext; then | ||
616 | - eval "$gt_func_gnugettext_libintl=yes" | ||
617 | + gt_cv_func_gnugettext1_libintl=yes | ||
618 | else | ||
619 | echo "$as_me: failed program was:" >&5 | ||
620 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
621 | |||
622 | - eval "$gt_func_gnugettext_libintl=no" | ||
623 | + gt_cv_func_gnugettext1_libintl=no | ||
624 | fi | ||
625 | |||
626 | rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | ||
627 | conftest$ac_exeext conftest.$ac_ext | ||
628 | - if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" != yes; } && test -n "$LIBICONV"; then | ||
629 | + if test "$gt_cv_func_gnugettext1_libintl" != yes && test -n "$LIBICONV"; then | ||
630 | LIBS="$LIBS $LIBICONV" | ||
631 | cat >conftest.$ac_ext <<_ACEOF | ||
632 | /* confdefs.h. */ | ||
633 | @@ -22779,7 +22734,6 @@ | ||
634 | cat >>conftest.$ac_ext <<_ACEOF | ||
635 | /* end confdefs.h. */ | ||
636 | #include <libintl.h> | ||
637 | -$gt_revision_test_code | ||
638 | extern int _nl_msg_cat_cntr; | ||
639 | extern | ||
640 | #ifdef __cplusplus | ||
641 | @@ -22790,7 +22744,7 @@ | ||
642 | main () | ||
643 | { | ||
644 | bindtextdomain ("", ""); | ||
645 | -return * gettext ("")$gt_expression_test_code + _nl_msg_cat_cntr + *_nl_expand_alias ("") | ||
646 | +return * gettext ("") + _nl_msg_cat_cntr + *_nl_expand_alias ("") | ||
647 | ; | ||
648 | return 0; | ||
649 | } | ||
650 | @@ -22815,7 +22769,7 @@ | ||
651 | $as_test_x conftest$ac_exeext; then | ||
652 | LIBINTL="$LIBINTL $LIBICONV" | ||
653 | LTLIBINTL="$LTLIBINTL $LTLIBICONV" | ||
654 | - eval "$gt_func_gnugettext_libintl=yes" | ||
655 | + gt_cv_func_gnugettext1_libintl=yes | ||
656 | |||
657 | else | ||
658 | echo "$as_me: failed program was:" >&5 | ||
659 | @@ -22830,13 +22784,12 @@ | ||
660 | CPPFLAGS="$gt_save_CPPFLAGS" | ||
661 | LIBS="$gt_save_LIBS" | ||
662 | fi | ||
663 | -ac_res=`eval echo '${'$gt_func_gnugettext_libintl'}'` | ||
664 | - { echo "$as_me:$LINENO: result: $ac_res" >&5 | ||
665 | -echo "${ECHO_T}$ac_res" >&6; } | ||
666 | +{ echo "$as_me:$LINENO: result: $gt_cv_func_gnugettext1_libintl" >&5 | ||
667 | +echo "${ECHO_T}$gt_cv_func_gnugettext1_libintl" >&6; } | ||
668 | fi | ||
669 | |||
670 | - if { eval "gt_val=\$$gt_func_gnugettext_libc"; test "$gt_val" = "yes"; } \ | ||
671 | - || { { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; } \ | ||
672 | + if test "$gt_cv_func_gnugettext1_libc" = "yes" \ | ||
673 | + || { test "$gt_cv_func_gnugettext1_libintl" = "yes" \ | ||
674 | && test "$PACKAGE" != gettext-runtime \ | ||
675 | && test "$PACKAGE" != gettext-tools; }; then | ||
676 | gt_use_preinstalled_gnugettext=yes | ||
677 | @@ -22876,7 +22829,7 @@ | ||
678 | { echo "$as_me:$LINENO: checking where the gettext function comes from" >&5 | ||
679 | echo $ECHO_N "checking where the gettext function comes from... $ECHO_C" >&6; } | ||
680 | if test "$gt_use_preinstalled_gnugettext" = "yes"; then | ||
681 | - if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then | ||
682 | + if test "$gt_cv_func_gnugettext1_libintl" = "yes"; then | ||
683 | gt_source="external libintl" | ||
684 | else | ||
685 | gt_source="libc" | ||
686 | @@ -22891,7 +22844,7 @@ | ||
687 | if test "$USE_NLS" = "yes"; then | ||
688 | |||
689 | if test "$gt_use_preinstalled_gnugettext" = "yes"; then | ||
690 | - if { eval "gt_val=\$$gt_func_gnugettext_libintl"; test "$gt_val" = "yes"; }; then | ||
691 | + if test "$gt_cv_func_gnugettext1_libintl" = "yes"; then | ||
692 | { echo "$as_me:$LINENO: checking how to link with libintl" >&5 | ||
693 | echo $ECHO_N "checking how to link with libintl... $ECHO_C" >&6; } | ||
694 | { echo "$as_me:$LINENO: result: $LIBINTL" >&5 | ||
695 | @@ -26592,12 +26545,8 @@ | ||
696 | esac | ||
697 | done | ||
698 | |||
699 | - | ||
700 | - | ||
701 | -if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then | ||
702 | - if test -n "$ac_tool_prefix"; then | ||
703 | - # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args. | ||
704 | -set dummy ${ac_tool_prefix}pkg-config; ac_word=$2 | ||
705 | + # Extract the first word of "pkg-config", so it can be a program name with args. | ||
706 | +set dummy pkg-config; ac_word=$2 | ||
707 | { echo "$as_me:$LINENO: checking for $ac_word" >&5 | ||
708 | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } | ||
709 | if test "${ac_cv_path_PKG_CONFIG+set}" = set; then | ||
710 | @@ -26623,6 +26572,7 @@ | ||
711 | done | ||
712 | IFS=$as_save_IFS | ||
713 | |||
714 | + test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no" | ||
715 | ;; | ||
716 | esac | ||
717 | fi | ||
718 | @@ -26636,88 +26586,19 @@ | ||
719 | fi | ||
720 | |||
721 | |||
722 | -fi | ||
723 | -if test -z "$ac_cv_path_PKG_CONFIG"; then | ||
724 | - ac_pt_PKG_CONFIG=$PKG_CONFIG | ||
725 | - # Extract the first word of "pkg-config", so it can be a program name with args. | ||
726 | -set dummy pkg-config; ac_word=$2 | ||
727 | -{ echo "$as_me:$LINENO: checking for $ac_word" >&5 | ||
728 | -echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } | ||
729 | -if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then | ||
730 | - echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
731 | -else | ||
732 | - case $ac_pt_PKG_CONFIG in | ||
733 | - [\\/]* | ?:[\\/]*) | ||
734 | - ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path. | ||
735 | - ;; | ||
736 | - *) | ||
737 | - as_save_IFS=$IFS; IFS=$PATH_SEPARATOR | ||
738 | -for as_dir in $PATH | ||
739 | -do | ||
740 | - IFS=$as_save_IFS | ||
741 | - test -z "$as_dir" && as_dir=. | ||
742 | - for ac_exec_ext in '' $ac_executable_extensions; do | ||
743 | - if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then | ||
744 | - ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" | ||
745 | - echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 | ||
746 | - break 2 | ||
747 | - fi | ||
748 | -done | ||
749 | -done | ||
750 | -IFS=$as_save_IFS | ||
751 | - | ||
752 | - ;; | ||
753 | -esac | ||
754 | -fi | ||
755 | -ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG | ||
756 | -if test -n "$ac_pt_PKG_CONFIG"; then | ||
757 | - { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5 | ||
758 | -echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; } | ||
759 | -else | ||
760 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
761 | -echo "${ECHO_T}no" >&6; } | ||
762 | -fi | ||
763 | - | ||
764 | - if test "x$ac_pt_PKG_CONFIG" = x; then | ||
765 | - PKG_CONFIG="" | ||
766 | - else | ||
767 | - case $cross_compiling:$ac_tool_warned in | ||
768 | -yes:) | ||
769 | -{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools | ||
770 | -whose name does not start with the host triplet. If you think this | ||
771 | -configuration is useful to you, please write to autoconf@gnu.org." >&5 | ||
772 | -echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools | ||
773 | -whose name does not start with the host triplet. If you think this | ||
774 | -configuration is useful to you, please write to autoconf@gnu.org." >&2;} | ||
775 | -ac_tool_warned=yes ;; | ||
776 | -esac | ||
777 | - PKG_CONFIG=$ac_pt_PKG_CONFIG | ||
778 | - fi | ||
779 | -else | ||
780 | - PKG_CONFIG="$ac_cv_path_PKG_CONFIG" | ||
781 | -fi | ||
782 | - | ||
783 | -fi | ||
784 | -if test -n "$PKG_CONFIG"; then | ||
785 | - _pkg_min_version=0.7 | ||
786 | - { echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5 | ||
787 | -echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; } | ||
788 | - if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then | ||
789 | - { echo "$as_me:$LINENO: result: yes" >&5 | ||
790 | -echo "${ECHO_T}yes" >&6; } | ||
791 | - else | ||
792 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
793 | -echo "${ECHO_T}no" >&6; } | ||
794 | - PKG_CONFIG="" | ||
795 | - fi | ||
796 | - | ||
797 | -fi | ||
798 | |||
799 | no_glib="" | ||
800 | |||
801 | - if test "x$PKG_CONFIG" = x ; then | ||
802 | + if test x$PKG_CONFIG != xno ; then | ||
803 | + if $PKG_CONFIG --atleast-pkgconfig-version 0.7 ; then | ||
804 | + : | ||
805 | + else | ||
806 | + echo *** pkg-config too old; version 0.7 or better required. | ||
807 | + no_glib=yes | ||
808 | + PKG_CONFIG=no | ||
809 | + fi | ||
810 | + else | ||
811 | no_glib=yes | ||
812 | - PKG_CONFIG=no | ||
813 | fi | ||
814 | |||
815 | min_glib_version=2.6.0 | ||
816 | @@ -27223,9 +27104,7 @@ | ||
817 | # Put the nasty error message in config.log where it belongs | ||
818 | echo "$OPENSSL_PKG_ERRORS" >&5 | ||
819 | |||
820 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
821 | -echo "${ECHO_T}no" >&6; } | ||
822 | - ac_cv_enable_openssl=no | ||
823 | + ac_cv_enable_openssl=no | ||
824 | elif test $pkg_failed = untried; then | ||
825 | ac_cv_enable_openssl=no | ||
826 | else | ||
827 | @@ -27793,6 +27672,11 @@ | ||
828 | |||
829 | |||
830 | |||
831 | +OWL_LIBS="-lowl" | ||
832 | +OLS_CFLAGS="" | ||
833 | + | ||
834 | + | ||
835 | + | ||
836 | # Check whether --enable-aspell was given. | ||
837 | if test "${enable_aspell+set}" = set; then | ||
838 | enableval=$enable_aspell; ac_cv_enable_aspell=$enableval | ||
839 | @@ -28242,9 +28126,7 @@ | ||
840 | # Put the nasty error message in config.log where it belongs | ||
841 | echo "$MAEMO_PKG_ERRORS" >&5 | ||
842 | |||
843 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
844 | -echo "${ECHO_T}no" >&6; } | ||
845 | - ac_cv_enable_maemo=no | ||
846 | + ac_cv_enable_maemo=no | ||
847 | elif test $pkg_failed = untried; then | ||
848 | ac_cv_enable_maemo=no | ||
849 | else | ||
850 | @@ -29796,8 +29678,6 @@ | ||
851 | # Put the nasty error message in config.log where it belongs | ||
852 | echo "$STARTUP_NOTIFICATION_PKG_ERRORS" >&5 | ||
853 | |||
854 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
855 | -echo "${ECHO_T}no" >&6; } | ||
856 | |||
857 | echo "Building without libstartup-notification" | ||
858 | enable_startup_notification=no | ||
859 | @@ -31300,9 +31180,7 @@ | ||
860 | # Put the nasty error message in config.log where it belongs | ||
861 | echo "$CLAMAV_PKG_ERRORS" >&5 | ||
862 | |||
863 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
864 | -echo "${ECHO_T}no" >&6; } | ||
865 | - ac_cv_enable_clamav_plugin=no | ||
866 | + ac_cv_enable_clamav_plugin=no | ||
867 | elif test $pkg_failed = untried; then | ||
868 | ac_cv_enable_clamav_plugin=no | ||
869 | else | ||
870 | @@ -31684,9 +31562,7 @@ | ||
871 | # Put the nasty error message in config.log where it belongs | ||
872 | echo "$GNOMEPRINT_PKG_ERRORS" >&5 | ||
873 | |||
874 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
875 | -echo "${ECHO_T}no" >&6; } | ||
876 | - ac_cv_enable_gnomeprint=no | ||
877 | + ac_cv_enable_gnomeprint=no | ||
878 | elif test $pkg_failed = untried; then | ||
879 | ac_cv_enable_gnomeprint=no | ||
880 | else | ||
881 | @@ -31794,9 +31670,7 @@ | ||
882 | # Put the nasty error message in config.log where it belongs | ||
883 | echo "$VALGRIND_PKG_ERRORS" >&5 | ||
884 | |||
885 | - { echo "$as_me:$LINENO: result: no" >&5 | ||
886 | -echo "${ECHO_T}no" >&6; } | ||
887 | - ac_cv_enable_valgrind=no | ||
888 | + ac_cv_enable_valgrind=no | ||
889 | elif test $pkg_failed = untried; then | ||
890 | ac_cv_enable_valgrind=no | ||
891 | else | ||
892 | @@ -32884,6 +32758,8 @@ | ||
893 | PASSCRYPT_KEY!$PASSCRYPT_KEY$ac_delim | ||
894 | GTK_CFLAGS!$GTK_CFLAGS$ac_delim | ||
895 | GTK_LIBS!$GTK_LIBS$ac_delim | ||
896 | +OWL_LIBS!$OWL_LIBS$ac_delim | ||
897 | +OWL_CFLAGS!$OWL_CFLAGS$ac_delim | ||
898 | ASPELL!$ASPELL$ac_delim | ||
899 | ASPELL_CFLAGS!$ASPELL_CFLAGS$ac_delim | ||
900 | ASPELL_LIBS!$ASPELL_LIBS$ac_delim | ||
901 | @@ -32904,8 +32780,6 @@ | ||
902 | BUILD_SPAMASSASSIN_PLUGIN_FALSE!$BUILD_SPAMASSASSIN_PLUGIN_FALSE$ac_delim | ||
903 | BUILD_BOGOFILTER_PLUGIN_TRUE!$BUILD_BOGOFILTER_PLUGIN_TRUE$ac_delim | ||
904 | BUILD_BOGOFILTER_PLUGIN_FALSE!$BUILD_BOGOFILTER_PLUGIN_FALSE$ac_delim | ||
905 | -GPGME_CONFIG!$GPGME_CONFIG$ac_delim | ||
906 | -GPGME_CFLAGS!$GPGME_CFLAGS$ac_delim | ||
907 | _ACEOF | ||
908 | |||
909 | if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then | ||
910 | @@ -32947,6 +32821,8 @@ | ||
911 | ac_delim='%!_!# ' | ||
912 | for ac_last_try in false false false false false :; do | ||
913 | cat >conf$$subs.sed <<_ACEOF | ||
914 | +GPGME_CONFIG!$GPGME_CONFIG$ac_delim | ||
915 | +GPGME_CFLAGS!$GPGME_CFLAGS$ac_delim | ||
916 | GPGME_LIBS!$GPGME_LIBS$ac_delim | ||
917 | BUILD_PGPCORE_PLUGIN_TRUE!$BUILD_PGPCORE_PLUGIN_TRUE$ac_delim | ||
918 | BUILD_PGPCORE_PLUGIN_FALSE!$BUILD_PGPCORE_PLUGIN_FALSE$ac_delim | ||
919 | @@ -32979,7 +32855,7 @@ | ||
920 | LTLIBOBJS!$LTLIBOBJS$ac_delim | ||
921 | _ACEOF | ||
922 | |||
923 | - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 30; then | ||
924 | + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 32; then | ||
925 | break | ||
926 | elif $ac_last_try; then | ||
927 | { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 | ||
928 | Index: claws-mail-2.9.1/src/Makefile.in | ||
929 | =================================================================== | ||
930 | --- claws-mail-2.9.1.orig/src/Makefile.in 2007-04-25 10:18:13.000000000 +0100 | ||
931 | +++ claws-mail-2.9.1/src/Makefile.in 2007-04-25 10:30:23.000000000 +0100 | ||
932 | @@ -45,8 +45,7 @@ | ||
933 | $(top_srcdir)/m4/aspell.m4 $(top_srcdir)/m4/check-type.m4 \ | ||
934 | $(top_srcdir)/m4/gnupg-check-typedef.m4 \ | ||
935 | $(top_srcdir)/m4/gnupg.m4 $(top_srcdir)/m4/gpgme.m4 \ | ||
936 | - $(top_srcdir)/m4/isc-posix.m4 $(top_srcdir)/m4/spamassassin.m4 \ | ||
937 | - $(top_srcdir)/configure.ac | ||
938 | + $(top_srcdir)/m4/spamassassin.m4 $(top_srcdir)/configure.ac | ||
939 | am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | ||
940 | $(ACLOCAL_M4) | ||
941 | mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs | ||
942 | @@ -122,7 +121,7 @@ | ||
943 | $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) \ | ||
944 | $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) \ | ||
945 | $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) \ | ||
946 | - $(am__DEPENDENCIES_2) | ||
947 | + $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_2) | ||
948 | claws_mail_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \ | ||
949 | $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \ | ||
950 | $(claws_mail_LDFLAGS) $(LDFLAGS) -o $@ | ||
951 | @@ -272,6 +271,8 @@ | ||
952 | OBJEXT = @OBJEXT@ | ||
953 | OPENSSL_CFLAGS = @OPENSSL_CFLAGS@ | ||
954 | OPENSSL_LIBS = @OPENSSL_LIBS@ | ||
955 | +OWL_CFLAGS = @OWL_CFLAGS@ | ||
956 | +OWL_LIBS = @OWL_LIBS@ | ||
957 | PACKAGE = @PACKAGE@ | ||
958 | PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ | ||
959 | PACKAGE_NAME = @PACKAGE_NAME@ | ||
960 | @@ -815,7 +816,8 @@ | ||
961 | $(LIBICONV) \ | ||
962 | $(STARTUP_NOTIFICATION_LIBS) \ | ||
963 | $(LIBETPAN_LIBS) \ | ||
964 | - $(MAEMO_LIBS) | ||
965 | + $(MAEMO_LIBS) \ | ||
966 | + $(OWL_LIBS) | ||
967 | |||
968 | AM_CPPFLAGS = \ | ||
969 | -DG_LOG_DOMAIN=\"Claws-Mail\" \ | ||
970 | @@ -833,7 +835,7 @@ | ||
971 | $(LIBETPAN_CPPFLAGS) \ | ||
972 | $(STARTUP_NOTIFICATION_CFLAGS) \ | ||
973 | $(MAEMO_CFLAGS) \ | ||
974 | - -Wno-unused-function | ||
975 | + $(OWL_CFLAGS) | ||
976 | |||
977 | |||
978 | #no-unused-function is there because of bison stuff | ||
979 | @@ -1406,6 +1408,7 @@ | ||
980 | install-exec-hook: | ||
981 | @rm -f $(DESTDIR)$(bindir)/sylpheed-claws | ||
982 | @ln -s claws-mail $(DESTDIR)$(bindir)/sylpheed-claws | ||
983 | + -Wno-unused-function | ||
984 | |||
985 | @CYGWIN_TRUE@claws-mail$(EXEEXT): $(claws_mail_OBJECTS) $(claws_mail_DEPENDENCIES) | ||
986 | @CYGWIN_TRUE@ @rm -f claws-mail$(EXEEXT) | ||
987 | Index: claws-mail-2.9.1/autogen.sh | ||
988 | =================================================================== | ||
989 | --- claws-mail-2.9.1.orig/autogen.sh 2007-04-25 10:18:13.000000000 +0100 | ||
990 | +++ claws-mail-2.9.1/autogen.sh 2007-04-25 10:30:23.000000000 +0100 | ||
991 | @@ -74,5 +74,4 @@ | ||
992 | && libtoolize --force --copy \ | ||
993 | && autoheader \ | ||
994 | && automake --add-missing --foreign --copy \ | ||
995 | - && autoconf \ | ||
996 | - && ./configure --enable-maintainer-mode $@ | ||
997 | + && autoconf | ||
998 | Index: claws-mail-2.9.1/src/compose.c | ||
999 | =================================================================== | ||
1000 | --- claws-mail-2.9.1.orig/src/compose.c 2007-04-25 10:18:13.000000000 +0100 | ||
1001 | +++ claws-mail-2.9.1/src/compose.c 2007-04-25 10:30:23.000000000 +0100 | ||
1002 | @@ -6192,7 +6192,6 @@ | ||
1003 | n_menu_entries = sizeof(compose_entries) / sizeof(compose_entries[0]); | ||
1004 | menubar = menubar_create(window, compose_entries, | ||
1005 | n_menu_entries, "<Compose>", compose); | ||
1006 | - gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, TRUE, 0); | ||
1007 | |||
1008 | handlebox = gtk_hbox_new(FALSE, 0); | ||
1009 | gtk_box_pack_start(GTK_BOX(vbox), handlebox, FALSE, FALSE, 0); | ||